> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a customer

> Deletes a customer record in the system.



## OpenAPI

````yaml /openapi/integration-api-v2/openapi.yaml delete /v2/customers/{id}
openapi: 3.0.0
info:
  title: Spirii API
  description: Spirii API
  version: 2.10.0
  contact: {}
servers:
  - url: https://api.spirii.com
security: []
tags: []
paths:
  /v2/customers/{id}:
    delete:
      tags:
        - Customer v2
        - Customers v2
      summary: Delete a customer
      description: Deletes a customer record in the system.
      operationId: deleteCustomer
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
      responses:
        '202':
          description: The request was successful.
        '400':
          description: |-
            Bad Request - possible reasons:
                - The CPO customer cannot be deleted.
                - The customer has locations bound and cannot be deleted.
                - The customer owns other customers and cannot be deleted.
        '401':
          description: >-
            Unauthorized. The requested operation cannot be performed with the
            current access permissions.
        '403':
          description: >-
            Forbidden. Your credentials are missing or not valid. An explanation
            message will be provided.
        '404':
          description: The customer to be delete was not found.
        '500':
          description: >-
            An unexpected error occurred on the server while processing the
            request.
        '502':
          description: The request failed due to an error in an upstream service.
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization
      description: '`Authorization: Bearer <SPIRII_API_KEY>`'

````